GroovyPageCompiledScriptSource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class GroovyPageCompiledScriptSource

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.discovery.GroovyPageCompiledScriptSource

All Implemented Interfaces:
  GroovyPageScriptSource

    public class GroovyPageCompiledScriptSource
    extends java.lang.Object

Represents a pre-compiled GSP.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`GroovyPageCompiledScriptSource(java.lang.String uri, java.lang.String fullPath, java.lang.Class compiledClass)`

Method Summary
`java.lang.Class` | `getCompiledClass()` @return The compiled class
`GroovyPageMetaInfo` | `getGroovyPageMetaInfo()`
`GroovyPageResourceScriptSource` | `getReloadableScriptSource()`
`java.lang.String` | `getScriptAsString()`
`java.lang.String` | `getURI()`
`boolean` | `isModified()`
`boolean` | `isPublic()` Whether the GSP is publicly accessible directly, or only usable using internal rendering
`void` | `setResourceCallable(java.security.PrivilegedAction resourceCallable)`
`java.lang.String` | `suggestedClassName()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPageCompiledScriptSource

    public GroovyPageCompiledScriptSource(java.lang.String uri, java.lang.String fullPath, java.lang.Class compiledClass)

Method Detail

### getCompiledClass

    public java.lang.Class getCompiledClass()

  Returns:
    The compiled class

### getGroovyPageMetaInfo

    public GroovyPageMetaInfo getGroovyPageMetaInfo()

### getReloadableScriptSource

    public GroovyPageResourceScriptSource getReloadableScriptSource()

### getScriptAsString

    public java.lang.String getScriptAsString()

### getURI

    public java.lang.String getURI()

### isModified

    public boolean isModified()

### isPublic

    public boolean isPublic()

  Whether the GSP is publicly accessible directly, or only usable using internal rendering
  Returns:
    true if it can be rendered publicly

### setResourceCallable

    public void setResourceCallable(java.security.PrivilegedAction resourceCallable)

### suggestedClassName

    public java.lang.String suggestedClassName()

Groovy Documentation